Package ru.bitel.bgbilling.kernel.script.server.bean

# Class GlobalScriptLogDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<GlobalScriptLog>
ru.bitel.bgbilling.kernel.script.server.bean.GlobalScriptLogDao

public class GlobalScriptLogDao extends ru.bitel.bgbilling.common.dao.AbstractDao<GlobalScriptLog>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `prefixNameTable`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalScriptLogDao(Connection con, String tableName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected GlobalScriptLog`
  `getFromRS(ResultSet rs)`
  `List<GlobalScriptLog>`
  `getScriptLogList(Period period, String title, Page page)`
  Возвращает постраничный список глобальных логов скриптов за определенный период
  `List<String>`
  `getScriptLogTitleList(Period period)`
  `protected void`
  `updateImpl(GlobalScriptLog b)`
  `String`
  `writeLog(String functionName, String out, String err, String ex, Calendar finishTime)`
  Записывает лог выполнения глобального скрипта.

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### prefixNameTable

    public static final String prefixNameTable
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GlobalScriptLogDao

    public GlobalScriptLogDao(Connection con, String tableName)

- ## Method Details

  - ### getScriptLogTitleList

    public List<String> getScriptLogTitleList(Period period) throws SQLException
    Parameters:
      `period` - - период.
    Returns:
      - не повторяющийся список названий выполнившихся скриптов.
    Throws:
      `SQLException`

  - ### getScriptLogList

    public List<GlobalScriptLog> getScriptLogList(Period period, String title, Page page) throws SQLException
    Возвращает постраничный список глобальных логов скриптов за определенный период
    Parameters:
      `title` - - если не равен null, то вернет логи с данным title.
      `page` - страница
      `perid` - - период в месяце задом при создании Dao
    Returns:
      список
    Throws:
      `SQLException`

  - ### writeLog

    public String writeLog(String functionName, String out, String err, String ex, Calendar finishTime) throws SQLException
    Записывает лог выполнения глобального скрипта.
    Parameters:
      `functionName` - имя скрипта
      `finishTime` - время завершения выполнения
      `report` - лог
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getFromRS

    protected GlobalScriptLog getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<GlobalScriptLog>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(GlobalScriptLog b) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<GlobalScriptLog>`
    Throws:
      `SQLException`